
/****** Object:  View [dbo].[V_PDV_CAMPANHA_ADICIONAIS_CARGA_TENTACLE]    Script Date: 11/08/2022 14:57:15 ******/
DROP VIEW [dbo].[V_PDV_CAMPANHA_ADICIONAIS_CARGA_TENTACLE]
GO

/****** Object:  View [dbo].[V_PDV_CAMPANHA_ADICIONAIS_CARGA_TENTACLE]    Script Date: 11/08/2022 14:57:15 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[V_PDV_CAMPANHA_ADICIONAIS_CARGA_TENTACLE]
AS
SELECT CD_CAMPANHA_ADIC,
    CD_EMP,
    CD_USU,
    DS_CAMPANHA_ADIC,
    CONVERT (DATE,DT_CAD)as DT_CAD,
    CONVERT (DATE,DT_INICIO)as DT_INICIO,
    CONVERT (DATE,DT_ULT_ALT) as DT_ULT_ALT,
    CONVERT (DATE,DT_VALID)as DT_VALID,
    QTDE_PROD,
	TIPO_CAMPANHA_ADIC,
	getdate() as dt_hr_carga
	,ISNULL(FLAG_ENVIO_PROPZ,0) AS FLAG_ENVIO_PROPZ
	,ISNULL(FLAG_TP_DESCONTO_PROPZ,0) AS FLAG_TP_DESCONTO_PROPZ
FROM PDV_CAMPANHA_ADICIONAIS
WHERE PDV_CAMPANHA_ADICIONAIS.CD_EMP = 1
AND DT_VALID >= convert (date ,GETDATE(),112)
AND PDV_CAMPANHA_ADICIONAIS.ORIG_VENDA IN ( 0 , 1 );
GO


